/**
 * Copyright 2020 Alibaba Group Holding Limited.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alibaba.maxgraph.frontendservice.server;

import com.alibaba.maxgraph.common.cluster.InstanceConfig;
import com.alibaba.maxgraph.compiler.optimizer.CompilerConfig;

public class CompilerInstanceConfig extends CompilerConfig {
    private InstanceConfig instanceConfig;

    public CompilerInstanceConfig(InstanceConfig instanceConfig) {
        this.instanceConfig = instanceConfig;
    }

    @Override
    public String getOdpsEndpoint() {
        return instanceConfig.getOdpsEndpoint();
    }

    @Override
    public String getOdpsAccessKey() {
        return instanceConfig.getOdpsAccessKey();
    }

    @Override
    public String getOdpsAccessId() {
        return instanceConfig.getOdpsAccessId();
    }
}
